.CRUDTable {
    width: 100%;
}

.CRUDTable tbody tr.AppXXORTrue {
    background: #222;
}

.CRUDTable td.AppXWButtons {
    width: 20px;
}

.CRUDTable td div {
    width: calc(100% - 2px);
    overflow: hidden;
    height: 1.5em;
    margin: auto;
}

.CRUDTable .AppXButton {
    border: #ccc 1px solid;
    border-radius: 3pt;
}

.CRUDTable .AppXButton.AppXIconButton {
    width: 2em;
    height: 2em;
    text-align: center;
    vertical-align: middle;
}
/*
.CRUDTable .AppXButton.AppXIconButton img {
    width: 16px;
    height: 16px;
}*/

.CRUDTable tr.AppXHide {
    display: none;
}

.CRUDTable thead select {
    width: 100%;
    border: #ccc 1px solid;
    border-radius: 3pt;
    color: #000 !important;;
}

.CRUDTable thead select option {
    color: #000 !important;
}

.CRUDTable th {
    vertical-align: top;
}

.CRUDTable thead {
    border-bottom: #444 1px solid;
}

.CRUDTable td.CRUDTable_Height div {
    height: unset;
}

.CRUDTable td.CRUDTable_Serial div {
    font-family: Oswald, sans-serif;
    font-size: 11pt;
}

/* Contenitore scrollabile */
.CRUDTable_C.CRUDTableWScroll {
    max-height: 80vh;       /* altezza massima del contenitore */
    overflow-y: auto;        /* scroll verticale */
    overflow-x: hidden;      /* scroll orizzontale opzionale */
    border: 1px solid #ccc;  /* bordo opzionale */
}

/* Impostazioni base della tabella */
.CRUDTableWScroll .CRUDTable {
    border-collapse: collapse;
    width: 100%;
}

/* Celle */
.CRUDTableWScroll .CRUDTable th,
.CRUDTableWScroll .CRUDTable td {
  /*  padding: 8px 12px;*/
    border: 1px solid #ddd;
    text-align: left;
}

/* Fissa le intestazioni */
.CRUDTableWScroll .CRUDTable thead th {
    position: sticky;
    top: 0;                  /* resta in cima durante lo scroll */
    background-color: #000; /* sfondo per non vedere il contenuto sottostante */
    z-index: 2;              /* per essere sopra le righe del tbody */
}